# Open Source

Open source software, hardware, specifications and my contributions.

## Personal Projects

* [webimg](https://source.gyt.is/gytisrepecka/webimg) - image manipulation (currently - watermarking) library for web written in Go lang

## Contributions

### Golang

* [WriteFreely: Fix login with Gitea OAuth: external user ID not recorded](https://github.com/writefreely/writefreely/pull/515) *(Nov 28, 2021)*
* [AWS Lambda Go sample function improvements](https://github.com/awsdocs/aws-lambda-developer-guide/pull/277): remove redundant call to `GetAccountSettings` API (`callLambda` function within `init`) and fixed misleading error message in TestMain function. *(May 3, 2021)*
* [Add Gitea OAuth login and account management in WriteFreely](https://github.com/writeas/writefreely/pull/293) *(Apr 3, 2020)*

### PHP

* [WordPress plugin boilerplate improvement - add shortcode support](https://github.com/DevinVinson/WordPress-Plugin-Boilerplate/pull/549) *(Jul 17, 2020)*

### Shell

* [WriteFreely build on CentOS](https://github.com/writefreely/writefreely/pull/99): fix finding of `lessc` binary *(May 2, 2019)*

### Other

* [WriteFreely translation to Lithuanian](https://github.com/writeas/web-core/pull/3) *(May 7, 2019)*

## Documentation

* [Build WriteFreely from source](https://fedi.dev/gytis/build-writefreely-from-source) and [update WriteFreely from source](https://fedi.dev/gytis/update-writefreely-server-instance) afterwards on CentOS
* [Update Mastodon server instance](https://fedi.dev/gytis/update-mastodon-server-instance) on Ubuntu
* [How to run CentOS 5.3 on Dell Vostro 1400 laptop](https://wiki.centos.org/HowTos/Laptops/Dell/Vostro-1400) - CentOS wiki *(November 5, 2009)*

## Issue reports

* [WriteFreely runs as root](https://github.com/writefreely/writefreely/issues/85): improve `systemd` configuration script
* [Hestia Control Panel](https://github.com/hestiacp/hestiacp/issues/882): Upgrade fails: dpkg: error processing package hestia
* [Redis plugin for Grafana](https://github.com/RedisGrafana/grafana-redis-datasource/issues/48): Plugin executable missing for arm64 architecture
